Package org.drinkless.tdlib

# Class TdApi.AddSavedNotificationSound

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.NotificationSound>
org.drinkless.tdlib.TdApi.AddSavedNotificationSound

Enclosing class:
  `TdApi`

public static class TdApi.AddSavedNotificationSound extends TdApi.Function<TdApi.NotificationSound>
Adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

Returns `NotificationSound`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `sound`
  Notification sound file to add.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddSavedNotificationSound()`
  Default constructor for a function, which adds a new notification sound to the list of saved notification sounds.
  `AddSavedNotificationSound(TdApi.InputFile sound)`
  Creates a function, which adds a new notification sound to the list of saved notification sounds.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sound

    public TdApi.InputFile sound
    Notification sound file to add.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddSavedNotificationSound

    public AddSavedNotificationSound()
    Default constructor for a function, which adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

    Returns `NotificationSound`

  - ### AddSavedNotificationSound

    public AddSavedNotificationSound(TdApi.InputFile sound)
    Creates a function, which adds a new notification sound to the list of saved notification sounds. The new notification sound is added to the top of the list. If it is already in the list, its position isn't changed.

    Returns `NotificationSound`

    Parameters:
      `sound` - Notification sound file to add.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.NotificationSound>`
    Returns:
      this.CONSTRUCTOR